sc::Timer(3)

NAME
sc::Timer -

The Timer class uses RegionTimer to time intervals in an exception safe manner'.

SYNOPSIS

#include <regtime.h>

  Public Member Functions
Timer (const char *name)
Start timing a region using the default RegionTimer and activate the timer'.
Timer (const Ref< RegionTimer > &, const char *name)
Start timing a region using the given RegionTimer'.
~Timer ()
Stop timing a region, if active'.
void reset (const char *=0)
Stop timing the current region, if active'.

Detailed Description

The Timer class uses RegionTimer to time intervals in an exception safe manner'. It will automatically call RegionTimer::enter when its constructor is called and RegionTimer::exit when its destructor is called'. The reset member can also result in RegionTimer's enter and exit routines being called'. The programmer is responsible for making sure that timers are exited in the reverse of the order that they are entered'.

Constructor & Destructor Documentation

  sc::Timer::Timer (const char *name)

Start timing a region using the default RegionTimer and activate the timer'. If a null name pointer is given, then the timer will not be activated'.

  sc::Timer::Timer (const Ref< RegionTimer > &, const char *name)

Start timing a region using the given RegionTimer'. If a null name pointer is given, then the timer will not be activated'.

  sc::Timer::~Timer ()

Stop timing a region, if active'.

Member Function Documentation

  void sc::Timer::reset (const char * = 0)

Stop timing the current region, if active'. If a new region name is passed in, start timing with that name'. If no region name is given, the Timer will be deactivated'.

Author

Generated automatically by Doxygen for MPQC from the source code'.